with GNATCOM.Dispinterface;

package MSHTML.IHTMLElementCollection2_Interface is

   type IHTMLElementCollection2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLElementCollection2_Type);

   function Pointer (This : IHTMLElementCollection2_Type)
     return Pointer_To_IHTMLElementCollection2;

   procedure Attach (This    : in out IHTMLElementCollection2_Type;
                     Pointer : in     Pointer_To_IHTMLElementCollection2);

   function urns
     (This  : IHTMLElementCollection2_Type;
      urn   : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.Pointer_To_IDispatch;

end MSHTML.IHTMLElementCollection2_Interface;

